Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 2100555 - Review Request: rust-passwd - Bindings for libc /etc/passwd password functions
Summary: Review Request: rust-passwd - Bindings for libc /etc/passwd password functions
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Paul Whalen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: IoT fido-fdo
TreeView+ depends on / blocked
 
Reported: 2022-06-23 17:03 UTC by Peter Robinson
Modified: 2022-07-28 11:00 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2022-07-28 11:00:25 UTC
Type: Bug
Embargoed:
pwhalen: fedora-review+


Attachments (Terms of Use)

Description Peter Robinson 2022-06-23 17:03:04 UTC
SPEC: https://pbrobinson.fedorapeople.org/rust-passwd.spec
SRPM: https://pbrobinson.fedorapeople.org/rust-passwd-0.0.1-1.fc36.src.rpm

Description:
Bindings for libc /etc/passwd password functions

koji: https://koji.fedoraproject.org/koji/taskinfo?taskID=88645790

FAS: pbrobinson

Comment 1 Paul Whalen 2022-06-29 17:03:48 UTC
Approved!

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- Package does not contain duplicates in %files.
  Note: warning: File listed twice:
  /usr/share/cargo/registry/passwd-0.0.1/LICENSE
  See: https://docs.fedoraproject.org/en-US/packaging-
  guidelines/#_duplicate_files


===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
[x]: License file installed when any subpackage combination is installed.
[-]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Permissions on files are set properly.
[x]: Package must not depend on deprecated() packages.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 0 bytes in 0 files.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[-]: Fully versioned dependency in subpackages if applicable.
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Sources are verified with gpgverify first in %prep if upstream
     publishes signatures.
     Note: gpgverify is not used.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Cannot parse rpmlint output:


Rpmlint (installed packages)
----------------------------
Cannot parse rpmlint output:


Source checksums
----------------
https://crates.io/api/v1/crates/passwd/0.0.1/download#/passwd-0.0.1.crate :
  CHECKSUM(SHA256) this package     : 5499366e9469e62340d8c66d31b6c545483a28a41c97d82210703188bcd2f473
  CHECKSUM(SHA256) upstream package : 5499366e9469e62340d8c66d31b6c545483a28a41c97d82210703188bcd2f473


Requires
--------
rust-passwd-devel (rpmlib, GLIBC filtered):
    (crate(libc/default) >= 0.2.0 with crate(libc/default) < 0.3.0~)
    cargo

rust-passwd+default-devel (rpmlib, GLIBC filtered):
    cargo
    crate(passwd)



Provides
--------
rust-passwd-devel:
    crate(passwd)
    rust-passwd-devel

rust-passwd+default-devel:
    crate(passwd/default)
    rust-passwd+default-devel



Generated by fedora-review 0.8.0 (e988316) last change: 2022-04-07
Command line :/usr/bin/fedora-review -b 2100555
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api
Disabled plugins: Perl, R, Ocaml, Haskell, fonts, Python, Java, C/C++, PHP, SugarActivity
Disabled flags: EPEL6, EPEL7, DISTTAG, BATCH, EXARCH

Comment 2 Fabio Valentini 2022-06-30 14:46:12 UTC
> # The tests currently crash

This shounds like a red flag to me. Do you know *why* they crash? Do the tests need to be run with root provileges?
The /etc/passwd file exists in mock chroots and seems to have valid contents.

Comment 3 Peter Robinson 2022-06-30 15:27:59 UTC
(In reply to Fabio Valentini from comment #2)
> > # The tests currently crash
> 
> This shounds like a red flag to me. Do you know *why* they crash? Do the
> tests need to be run with root provileges?
> The /etc/passwd file exists in mock chroots and seems to have valid contents.

It looks like a broken include in the tests, I'm digging, it's working find in the projects we need it for, I'm trying to parallelise things.

Comment 4 Gwyn Ciesla 2022-07-27 13:20:08 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/rust-passwd


Note You need to log in before you can comment on or make changes to this bug.